Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Enum GammaShapeEstimatorType

    java.lang.Object
      java.lang.Enum<GammaShapeEstimatorType>
          umontreal.iro.lecuyer.contactcenters.msk.params.GammaShapeEstimatorType

All Implemented Interfaces:
  Serializable, Comparable<GammaShapeEstimatorType>

    public enum GammaShapeEstimatorType

extends Enum<GammaShapeEstimatorType>

Java class for GammaShapeEstimatorType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="GammaShapeEstimatorType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="SINGLESHAPE"/>
         <enumeration value="SPLINESHAPE"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`SINGLESHAPE` The gamma shape parameters are assumed to have the same value across sub-periods.
`SPLINESHAPE` A smoothing spline is used to enforce smoothness of gamma shape parameters from one sub-period to another.

Method Summary
`static GammaShapeEstimatorType` | `fromValue(String v)`
`String` | `value()`
`static GammaShapeEstimatorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GammaShapeEstimatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLESHAPE

    public static final GammaShapeEstimatorType SINGLESHAPE

  The gamma shape parameters are assumed to have the same value across sub-periods.

### SPLINESHAPE

    public static final GammaShapeEstimatorType SPLINESHAPE

  A smoothing spline is used to enforce smoothness of gamma shape parameters from one sub-period to another.

Method Detail

### values

    public static GammaShapeEstimatorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GammaShapeEstimatorType c : GammaShapeEstimatorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GammaShapeEstimatorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static GammaShapeEstimatorType fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.